diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index dc787e3f..14a5226a 100644
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -242,40 +242,40 @@ define([
             dataType: 'json',
             contentType: 'application/json; charset=utf-8',
             async: false,
-            success: function(resp) {
-              var result = resp.data.result;
-              if (result.Code === 1) {
-                var newPath = result['New Path'],
-                  newName = result['New Name'],
-                  title = $('#preview h1').attr('title');
-
-                if (typeof title != 'undefined' && title == oldPath) {
-                  $('#preview h1').text(newName);
-                }
+          })
+          .done(function(resp) {
+            var result = resp.data.result;
+            if (result.Code === 1) {
+              var newPath = result['New Path'],
+                newName = result['New Name'],
+                title = $('#preview h1').attr('title');
+
+              if (typeof title != 'undefined' && title == oldPath) {
+                $('#preview h1').text(newName);
+              }
 
-                if ($('.fileinfo').data('view') == 'grid') {
-                  $('.fileinfo span[data-alt="' + oldPath + '"]').parent().next('p span').text(newName);
-                  $('.fileinfo span[data-alt="' + oldPath + '"]').attr('data-alt', newPath);
-                } else {
-                  $('.fileinfo td[title="' + oldPath + '"]').text(newName);
-                  $('.fileinfo td[title="' + oldPath + '"]').attr('title', newPath);
-                }
-                $('#preview h1').html(newName);
+              if ($('.fileinfo').data('view') == 'grid') {
+                $('.fileinfo span[data-alt="' + oldPath + '"]').parent().next('p span').text(newName);
+                $('.fileinfo span[data-alt="' + oldPath + '"]').attr('data-alt', newPath);
+              } else {
+                $('.fileinfo td[title="' + oldPath + '"]').text(newName);
+                $('.fileinfo td[title="' + oldPath + '"]').attr('title', newPath);
+              }
+              $('#preview h1').html(newName);
 
-                // actualized data for binding
-                data.Path = newPath;
-                data.Filename = newName;
+              // actualized data for binding
+              data.Path = newPath;
+              data.Filename = newName;
 
-                // UnBind toolbar functions.
-                $('.fileinfo').find('button.rename, button.delete, button.download').off();
+              // UnBind toolbar functions.
+              $('.fileinfo').find('button.rename, button.delete, button.download').off();
 
-                Alertify.success(lg.successful_rename);
-              } else {
-                Alertify.error(result.Error);
-              }
+              Alertify.success(lg.successful_rename);
+            } else {
+              Alertify.error(result.Error);
+            }
 
-              finalName = result['New Name'];
-            },
+            finalName = result['New Name'];
           });
         }
       };
@@ -305,21 +305,21 @@ define([
         dataType: 'json',
         contentType: 'application/json; charset=utf-8',
         async: false,
-        success: function(resp) {
-          var result = resp.data.result;
-          if (result.Code === 1) {
-            isDeleted = true;
-            if (isDeleted) {
-              Alertify.success(lg.successful_delete);
-              var rootpath = result.Path.substring(0, result.Path.length - 1); // removing the last slash
-              rootpath = rootpath.substr(0, rootpath.lastIndexOf('/') + 1);
-              getFolderInfo(rootpath);
-            }
-          } else {
-            isDeleted = false;
-            Alertify.error(result.Error);
+      })
+      .done(function(resp) {
+        var result = resp.data.result;
+        if (result.Code === 1) {
+          isDeleted = true;
+          if (isDeleted) {
+            Alertify.success(lg.successful_delete);
+            var rootpath = result.Path.substring(0, result.Path.length - 1); // removing the last slash
+            rootpath = rootpath.substr(0, rootpath.lastIndexOf('/') + 1);
+            getFolderInfo(rootpath);
           }
-        },
+        } else {
+          isDeleted = false;
+          Alertify.error(result.Error);
+        }
       });
       return isDeleted;
     };
@@ -356,34 +356,34 @@ define([
       dataType: 'json',
       contentType: 'application/json; charset=utf-8',
       async: false,
-      success: function(resp) {
-        var data = resp.data.result;
-        if (data.Code === 1) {
-          $('.file_manager_ok').removeClass('disabled');
-          $('.file_manager_ok').attr('disabled', false);
-          data.Capabilities = capabilities;
-          bindToolbar(data);
-          if (data.FileType == 'Directory') {
-            // Enable/Disable level up button
-            enab_dis_level_up();
-            $('.file_manager_ok').addClass('disabled');
-            $('.file_manager_ok').attr('disabled', true);
-            $('.file_manager button.delete, .file_manager button.rename').attr('disabled', 'disabled');
-            $('.file_manager button.download').attr('disabled', 'disabled');
+    })
+    .done(function(resp) {
+      var data = resp.data.result;
+      if (data.Code === 1) {
+        $('.file_manager_ok').removeClass('disabled');
+        $('.file_manager_ok').attr('disabled', false);
+        data.Capabilities = capabilities;
+        bindToolbar(data);
+        if (data.FileType == 'Directory') {
+          // Enable/Disable level up button
+          enab_dis_level_up();
+          $('.file_manager_ok').addClass('disabled');
+          $('.file_manager_ok').attr('disabled', true);
+          $('.file_manager button.delete, .file_manager button.rename').attr('disabled', 'disabled');
+          $('.file_manager button.download').attr('disabled', 'disabled');
 
-            if (file.charAt(file.length - 1) != '/' && file.charAt(file.length - 1) != '\\') {
-              file += '/';
-            }
-            getFolderInfo(file);
-          } else {
-            is_file_valid = true;
+          if (file.charAt(file.length - 1) != '/' && file.charAt(file.length - 1) != '\\') {
+            file += '/';
           }
+          getFolderInfo(file);
         } else {
-          $('.file_manager_ok').addClass('disabled');
-          $('.file_manager_ok').attr('disabled', true);
-          Alertify.error(data.Error);
+          is_file_valid = true;
         }
-      },
+      } else {
+        $('.file_manager_ok').addClass('disabled');
+        $('.file_manager_ok').attr('disabled', true);
+        Alertify.error(data.Error);
+      }
     });
     return is_file_valid;
   };
@@ -402,23 +402,23 @@ define([
       dataType: 'json',
       contentType: 'application/json; charset=utf-8',
       async: false,
-      success: function(resp) {
-        var data = resp.data.result;
-        if (data.Code === 1) {
-          permission = true;
-        } else {
-          $('.file_manager_ok').addClass('disabled');
-          $('.file_manager_ok').attr('disabled', true);
-          Alertify.error(data.Error);
-        }
-      },
-      error: function() {
+    })
+    .done(function(resp) {
+      var data = resp.data.result;
+      if (data.Code === 1) {
+        permission = true;
+      } else {
         $('.file_manager_ok').addClass('disabled');
         $('.file_manager_ok').attr('disabled', true);
-        Alertify.error(
-          gettext('Error occurred while checking access permission.')
-        );
-      },
+        Alertify.error(data.Error);
+      }
+    })
+    .fail(function() {
+      $('.file_manager_ok').addClass('disabled');
+      $('.file_manager_ok').attr('disabled', true);
+      Alertify.error(
+        gettext('Error occurred while checking access permission.')
+      );
     });
     return permission;
   };
